Skip to content

Cancel Payment

Request

NDC only; not supported for GDS. Supported only for Qantas (QF). For NDC on supporting carriers only, you can use the Cancel Payment API to cancel the payment on a ticket. This refunds the payment, cancels the ticket but retains the itinerary, and creates a held booking for later fulfillment. For example, you might want to use this workflow to use a different payment method than was sent in ticketing. You must establish a workbench session before sending the Cancel Payment request detailed here. After sending Cancel Payment, you must commit the workbench to implement the change.

Security
bearerAuth
Path
ReservationResource_Identifierstring, <= 128 charactersrequired

The Reservation Identifier you wish to cancel or void the payment

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
idstringrequired

The Payment ID you wish to cancel or void

Example:payment_1
Headers
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
curl -i -X POST \
  https://developer.travelport.com/_mock/apis/flights/air/paymentoffer/reservationworkbench/49f58f5f-c443-43b4-9f5d-be405fd00a01/payments/payment_1 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01'

Responses

OK - Successful Response - 200

Bodyapplication/json
PaymentResponseobject(PaymentResponse)

The response of a Payment endpoint request.

Response
{ "PaymentResponse": { "Payment": { "@type": "Payment", "id": "string", "PaymentRef": "string", "Identifier": {} }, "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "48fb4cd3-2ef6-4479-bea1-7c92721b988c", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [], "Warning": [] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "string", "id": "5", "NextStep": [] }, "ReferenceList": [ {} ], "CurrencyRateConversion": [ {} ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }